org.eclipse.lyo.core.trs

## Class ChangeEvent

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.core.trs.ChangeEvent

- All Implemented Interfaces:
    IExtendedResource, IResource
  Direct Known Subclasses:
    Creation, Deletion, Modification

      public abstract class ChangeEvent
      extends AbstractResource

  Each entry referenced by trs:change is a Local Resource representing a Change Event consisting of the properties contained in this class. Note: This class cannot be instantiated directly. Instead create an instance of one of the child classes depending on the type of event taking place. The child classes are: Creation, Modification, and Deletion.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChangeEvent()`
    `ChangeEvent(URI about, URI changed, int order)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getChanged()`
    `int` | `getOrder()`
    `void` | `setChanged(URI changed)`
    `void` | `setOrder(int order)`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChangeEvent

          public ChangeEvent()

    - #### ChangeEvent

          public ChangeEvent(URI about,
                     URI changed,
                     int order)

      Parameters:
        `about` -
        `changed` -
        `order` -

  - ### Method Detail

    - #### getChanged

          @OslcName(value="changed")
          @OslcDescription(value="The Resource that has changed.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core/trs#changed")
          @OslcTitle(value="Changed")
          public URI getChanged()

      Returns:
        the changed

    - #### setChanged

          public void setChanged(URI changed)

      Parameters:
        `changed` - the changed to set

    - #### getOrder

          @OslcName(value="order")
          @OslcDescription(value="The sequence in time of the Change Event.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core/trs#order")
          @OslcTitle(value="Order")
          public int getOrder()

      Returns:
        the order

    - #### setOrder

          public void setOrder(int order)

      Parameters:
        `order` - the order to set

Copyright © 2016. All rights reserved.